// TDetControlSystem.h: interface for the TDetControlSystem class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TDETCONTROLSYSTEM_H__4E844BF4_7183_11D6_861B_0000E87713C4__INCLUDED_)
#define AFX_TDETCONTROLSYSTEM_H__4E844BF4_7183_11D6_861B_0000E87713C4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "TControlSystem.h"
#include "TElevator.h"
#include "TButton.h"
#include "TEffCriteriaCounter.h"

class TDetControlSystem : public TControlSystem 
{
public:
	TDetControlSystem();
	virtual ~TDetControlSystem();

   virtual void messageHandler( TControlSystemMessages, void* );

protected:
	void controlOne( TElevator *elev, TButton *but );
	void resetTask( TElevator *elev, int task, int cmd );
	void stop(TElevator *elev, TButton *but );

   TEffCriteriaCounter effCriteriaCounter;
};

extern TDetControlSystem detControlSystem;

#endif // !defined(AFX_TDETCONTROLSYSTEM_H__4E844BF4_7183_11D6_861B_0000E87713C4__INCLUDED_)
